# Creates a template Endpoint: POST /v2/projects/{project_id}/templates Version: 2.0 Security: Basic, oAuth2 ## Path parameters: - `project_id` (string, required) Required. The project ID. ## Request fields (application/json): - `default_translation` (string, required) The default translation to use if not specified. Specified as a BCP-47 language_code and the language_code must exist in the translations list. Example: "en-US" - `translations` (array, required) - `id` (string) The id of the template. Specify this yourself during creation. Otherwise, we will generate an ID for you. This must be unique for a given project. Example: "id_string" - `description` (string) The description of the template. Example: "Template description" - `version` (integer) The version of the template. While creating a template, this will be defaulted to 1. When updating a template, you must supply the latest version of the template in order for the update to be successful. Example: 1 ## Response 200 fields (application/json): - `id` (string) The id of the template. Specify this yourself during creation. Otherwise, we will generate an ID for you. This must be unique for a given project. Example: "id_string" - `description` (string) The description of the template. Example: "Template description" - `version` (integer) The version of the template. While creating a template, this will be defaulted to 1. When updating a template, you must supply the latest version of the template in order for the update to be successful. Example: 1 - `default_translation` (string) The default translation to use if not specified. Specified as a BCP-47 language_code and the language_code must exist in the translations list. Example: "en-US" - `translations` (array) - `create_time` (string) Timestamp of when the template was created. - `update_time` (string) Timestamp when the template was updated. ## Response default fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string)